gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Gtk::Menu_Helpers::Element Class Reference
Inheritance diagram for Gtk::Menu_Helpers::Element:
[legend]
Collaboration diagram for Gtk::Menu_Helpers::Element:
[legend]

## Public Types
typedef sigc::slot< void > | CallSlot

## Public Member Functions
| Element ()
| Element (MenuItem& child)
| ~Element ()
const Glib::RefPtr< MenuItem >& | get_child () const

## Protected Member Functions
void | set_child (MenuItem* pChild)
void | set_accel_key (const AccelKey& accel_key)

## Protected Attributes
Glib::RefPtr< MenuItem > | child_

## Member Typedef Documentation

typedef sigc::slot<void> Gtk::Menu_Helpers::Element::CallSlot

## Constructor & Destructor Documentation

Gtk::Menu_Helpers::Element::Element | ( |  | ) |

Gtk::Menu_Helpers::Element::Element | ( | MenuItem& | child | ) |

Gtk::Menu_Helpers::Element::~Element | ( |  | ) |

## Member Function Documentation

const Glib::RefPtr<MenuItem>& Gtk::Menu_Helpers::Element::get_child | ( |  | ) | const

void Gtk::Menu_Helpers::Element::set_accel_key | ( | const AccelKey& | accel_key | ) |
| protected

void Gtk::Menu_Helpers::Element::set_child | ( | MenuItem* | pChild | ) |
| protected

## Member Data Documentation

Glib::RefPtr<MenuItem> Gtk::Menu_Helpers::Element::child_
| protected

The documentation for this class was generated from the following file:

- gtkmm/menu_elems.h